#!/usr/bin/gnuplot

alpha = 0.5
C = 1.0
f(x) = C*x**alpha
g(x) = C/(alpha+1)*x**(alpha+1)

n=21
array x_[n] 
array f_[n]
array g_[n]

delta = 0.1
x_[1] = 0.01
do for [i = 2:n] {
  x_[i] = x_[i-1]+delta;
}
do for [i = 1:n] {
  f_[i] = f(x_[i]);
}
g_[1] = 0.0
do for [i = 2:n] {
  g_[i] = g_[i-1] + 0.5*(f_[i]+f_[i-1])*(x_[i]-x_[i-1]);
}

print x_
print f_
print g_

set xr [-2:2]
#set yr [-10:10]

set zeroaxis
set key top left

p f(x),\
  g(x),\
  x_ using (x_[$1]):(f_[$1]) w p,\
  x_ using (x_[$1]):(g_[$1]) w p,\
  NaN not

pa -1

