#!/usr/bin/gnuplot

alpha = -0.5
C = 1.0
f(x) = C*x**alpha

# integral from +2 to x
g(x) = C/(alpha+1)*2.0**(alpha+1) - C/(alpha+1)*x**(alpha+1)

n=2001
array x_[n] 
array f_[n]
array g_[n]

delta = 0.001
x_[1] = delta
do for [i = 2:n] {
  x_[i] = x_[i-1]+delta;
}
do for [i = 1:n] {
  f_[i] = f(x_[i]);
}
g_[n] = 0.0
do for [i = n-1:1:-1] {
  g_[i] = g_[i+1] - 0.5*(f_[i]+f_[i+1])*(x_[i]-x_[i+1]);
}

print x_
print f_
print g_

set xr [-2:2]
set yr [:10]

set zeroaxis
set key top left
set samples 1000
set logscale xy

p \
  x_ using (x_[$1]):(f_[$1]) w p,\
  x_ using (x_[$1]):(g_[$1]) w p,\
  f(x) lw 3,\
  g(x) lw 3,\
  NaN not

pa -1

