#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0000.000.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [0.8*100.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 0.000"
set nolabel
set label "t = 0.000 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

set arrow from 1.0e-3, 30e10 to 1.0e-3, 60e10 heads lc '#666666' front size graph 0.01,90 fixed
set arrow from 1.0e-3,100e10 to 1.0e-3,300e10 heads lc '#aaaaaa' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0000.000.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0000.000.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0000.000.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0000.100.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [0.8*100.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 0.100"
set nolabel
set label "t = 0.100 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

set arrow from 1.0e-3, 30e10 to 1.0e-3, 60e10 heads lc '#666666' front size graph 0.01,90 fixed
set arrow from 1.0e-3,100e10 to 1.0e-3,300e10 heads lc '#aaaaaa' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0000.100.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0000.100.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0000.100.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0000.200.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [0.8*100.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 0.200"
set nolabel
set label "t = 0.200 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

set arrow from 1.0e-3, 30e10 to 1.0e-3, 60e10 heads lc '#666666' front size graph 0.01,90 fixed
set arrow from 1.0e-3,100e10 to 1.0e-3,300e10 heads lc '#aaaaaa' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0000.200.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0000.200.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0000.200.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0000.300.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [0.8*100.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 0.300"
set nolabel
set label "t = 0.300 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

set arrow from 1.0e-3, 30e10 to 1.0e-3, 60e10 heads lc '#666666' front size graph 0.01,90 fixed
set arrow from 1.0e-3,100e10 to 1.0e-3,300e10 heads lc '#aaaaaa' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0000.300.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0000.300.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0000.300.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0000.400.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [0.8*100.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 0.400"
set nolabel
set label "t = 0.400 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

set arrow from 1.0e-3, 30e10 to 1.0e-3, 60e10 heads lc '#666666' front size graph 0.01,90 fixed
set arrow from 1.0e-3,100e10 to 1.0e-3,300e10 heads lc '#aaaaaa' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0000.400.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0000.400.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0000.400.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0000.500.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [0.8*100.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 0.500"
set nolabel
set label "t = 0.500 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

set arrow from 1.0e-3, 30e10 to 1.0e-3, 60e10 heads lc '#666666' front size graph 0.01,90 fixed
set arrow from 1.0e-3,100e10 to 1.0e-3,300e10 heads lc '#aaaaaa' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0000.500.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0000.500.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0000.500.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0000.600.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [0.8*100.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 0.600"
set nolabel
set label "t = 0.600 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

set arrow from 1.0e-3, 30e10 to 1.0e-3, 60e10 heads lc '#666666' front size graph 0.01,90 fixed
set arrow from 1.0e-3,100e10 to 1.0e-3,300e10 heads lc '#aaaaaa' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0000.600.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0000.600.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0000.600.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0000.700.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [0.8*100.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 0.700"
set nolabel
set label "t = 0.700 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

set arrow from 1.0e-3, 30e10 to 1.0e-3, 60e10 heads lc '#666666' front size graph 0.01,90 fixed
set arrow from 1.0e-3,100e10 to 1.0e-3,300e10 heads lc '#aaaaaa' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0000.700.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0000.700.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0000.700.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0000.800.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [0.8*100.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 0.800"
set nolabel
set label "t = 0.800 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

set arrow from 1.0e-3, 30e10 to 1.0e-3, 60e10 heads lc '#666666' front size graph 0.01,90 fixed
set arrow from 1.0e-3,100e10 to 1.0e-3,300e10 heads lc '#aaaaaa' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0000.800.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0000.800.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0000.800.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0000.900.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [0.8*100.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 0.900"
set nolabel
set label "t = 0.900 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

set arrow from 1.0e-3, 30e10 to 1.0e-3, 60e10 heads lc '#666666' front size graph 0.01,90 fixed
set arrow from 1.0e-3,100e10 to 1.0e-3,300e10 heads lc '#aaaaaa' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0000.900.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0000.900.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0000.900.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0001.000.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [0.8*100.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 1.000"
set nolabel
set label "t = 1.000 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

set arrow from 1.0e-3, 30e10 to 1.0e-3, 60e10 heads lc '#666666' front size graph 0.01,90 fixed
set arrow from 1.0e-3,100e10 to 1.0e-3,300e10 heads lc '#aaaaaa' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0001.000.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0001.000.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0001.000.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0001.100.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [0.8*100.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 1.100"
set nolabel
set label "t = 1.100 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

set arrow from 1.0e-3, 30e10 to 1.0e-3, 60e10 heads lc '#666666' front size graph 0.01,90 fixed
set arrow from 1.0e-3,100e10 to 1.0e-3,300e10 heads lc '#aaaaaa' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0001.100.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0001.100.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0001.100.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0001.200.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [0.8*100.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 1.200"
set nolabel
set label "t = 1.200 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

set arrow from 1.0e-3, 30e10 to 1.0e-3, 60e10 heads lc '#666666' front size graph 0.01,90 fixed
set arrow from 1.0e-3,100e10 to 1.0e-3,300e10 heads lc '#aaaaaa' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0001.200.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0001.200.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0001.200.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0001.300.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [0.8*100.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 1.300"
set nolabel
set label "t = 1.300 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

set arrow from 1.0e-3, 30e10 to 1.0e-3, 60e10 heads lc '#666666' front size graph 0.01,90 fixed
set arrow from 1.0e-3,100e10 to 1.0e-3,300e10 heads lc '#aaaaaa' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0001.300.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0001.300.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0001.300.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0001.400.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [0.8*100.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 1.400"
set nolabel
set label "t = 1.400 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

set arrow from 1.0e-3, 30e10 to 1.0e-3, 60e10 heads lc '#666666' front size graph 0.01,90 fixed
set arrow from 1.0e-3,100e10 to 1.0e-3,300e10 heads lc '#aaaaaa' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0001.400.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0001.400.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0001.400.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0001.500.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [0.8*100.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 1.500"
set nolabel
set label "t = 1.500 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

set arrow from 1.0e-3, 30e10 to 1.0e-3, 60e10 heads lc '#666666' front size graph 0.01,90 fixed
set arrow from 1.0e-3,100e10 to 1.0e-3,300e10 heads lc '#aaaaaa' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0001.500.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0001.500.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0001.500.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0001.600.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [0.8*100.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 1.600"
set nolabel
set label "t = 1.600 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

set arrow from 1.0e-3, 30e10 to 1.0e-3, 60e10 heads lc '#666666' front size graph 0.01,90 fixed
set arrow from 1.0e-3,100e10 to 1.0e-3,300e10 heads lc '#aaaaaa' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0001.600.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0001.600.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0001.600.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0001.700.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [0.8*100.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 1.700"
set nolabel
set label "t = 1.700 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

set arrow from 1.0e-3, 30e10 to 1.0e-3, 60e10 heads lc '#666666' front size graph 0.01,90 fixed
set arrow from 1.0e-3,100e10 to 1.0e-3,300e10 heads lc '#aaaaaa' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0001.700.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0001.700.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0001.700.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0001.800.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [0.8*100.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 1.800"
set nolabel
set label "t = 1.800 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

set arrow from 1.0e-3, 30e10 to 1.0e-3, 60e10 heads lc '#666666' front size graph 0.01,90 fixed
set arrow from 1.0e-3,100e10 to 1.0e-3,300e10 heads lc '#aaaaaa' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0001.800.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0001.800.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0001.800.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0001.900.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [0.8*100.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 1.900"
set nolabel
set label "t = 1.900 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

set arrow from 1.0e-3, 30e10 to 1.0e-3, 60e10 heads lc '#666666' front size graph 0.01,90 fixed
set arrow from 1.0e-3,100e10 to 1.0e-3,300e10 heads lc '#aaaaaa' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0001.900.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0001.900.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0001.900.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0002.000.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [0.8*100.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 2.000"
set nolabel
set label "t = 2.000 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

set arrow from 1.0e-3, 30e10 to 1.0e-3, 60e10 heads lc '#666666' front size graph 0.01,90 fixed
set arrow from 1.0e-3,100e10 to 1.0e-3,300e10 heads lc '#aaaaaa' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0002.000.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0002.000.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0002.000.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0002.100.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [0.8*100.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 2.100"
set nolabel
set label "t = 2.100 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

set arrow from 1.0e-3, 30e10 to 1.0e-3, 60e10 heads lc '#666666' front size graph 0.01,90 fixed
set arrow from 1.0e-3,100e10 to 1.0e-3,300e10 heads lc '#aaaaaa' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0002.100.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0002.100.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0002.100.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0002.200.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [0.8*100.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 2.200"
set nolabel
set label "t = 2.200 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

set arrow from 1.0e-3, 30e10 to 1.0e-3, 60e10 heads lc '#666666' front size graph 0.01,90 fixed
set arrow from 1.0e-3,100e10 to 1.0e-3,300e10 heads lc '#aaaaaa' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0002.200.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0002.200.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0002.200.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0002.300.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [0.8*100.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 2.300"
set nolabel
set label "t = 2.300 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

set arrow from 1.0e-3, 30e10 to 1.0e-3, 60e10 heads lc '#666666' front size graph 0.01,90 fixed
set arrow from 1.0e-3,100e10 to 1.0e-3,300e10 heads lc '#aaaaaa' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0002.300.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0002.300.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0002.300.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0002.400.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [0.8*100.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 2.400"
set nolabel
set label "t = 2.400 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

set arrow from 1.0e-3, 30e10 to 1.0e-3, 60e10 heads lc '#666666' front size graph 0.01,90 fixed
set arrow from 1.0e-3,100e10 to 1.0e-3,300e10 heads lc '#aaaaaa' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0002.400.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0002.400.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0002.400.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0002.500.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [0.8*100.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 2.500"
set nolabel
set label "t = 2.500 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

set arrow from 1.0e-3, 30e10 to 1.0e-3, 60e10 heads lc '#666666' front size graph 0.01,90 fixed
set arrow from 1.0e-3,100e10 to 1.0e-3,300e10 heads lc '#aaaaaa' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0002.500.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0002.500.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0002.500.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0002.600.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [0.8*100.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 2.600"
set nolabel
set label "t = 2.600 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

set arrow from 1.0e-3, 30e10 to 1.0e-3, 60e10 heads lc '#666666' front size graph 0.01,90 fixed
set arrow from 1.0e-3,100e10 to 1.0e-3,300e10 heads lc '#aaaaaa' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0002.600.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0002.600.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0002.600.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0002.700.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [0.8*100.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 2.700"
set nolabel
set label "t = 2.700 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

set arrow from 1.0e-3, 30e10 to 1.0e-3, 60e10 heads lc '#666666' front size graph 0.01,90 fixed
set arrow from 1.0e-3,100e10 to 1.0e-3,300e10 heads lc '#aaaaaa' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0002.700.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0002.700.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0002.700.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0002.800.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [0.8*100.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 2.800"
set nolabel
set label "t = 2.800 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

set arrow from 1.0e-3, 30e10 to 1.0e-3, 60e10 heads lc '#666666' front size graph 0.01,90 fixed
set arrow from 1.0e-3,100e10 to 1.0e-3,300e10 heads lc '#aaaaaa' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0002.800.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0002.800.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0002.800.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0002.900.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [0.8*100.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 2.900"
set nolabel
set label "t = 2.900 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

set arrow from 1.0e-3, 30e10 to 1.0e-3, 60e10 heads lc '#666666' front size graph 0.01,90 fixed
set arrow from 1.0e-3,100e10 to 1.0e-3,300e10 heads lc '#aaaaaa' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0002.900.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0002.900.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0002.900.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0003.000.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [0.8*100.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 3.000"
set nolabel
set label "t = 3.000 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

set arrow from 1.0e-3, 30e10 to 1.0e-3, 60e10 heads lc '#666666' front size graph 0.01,90 fixed
set arrow from 1.0e-3,100e10 to 1.0e-3,300e10 heads lc '#aaaaaa' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0003.000.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0003.000.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0003.000.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0003.100.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [0.8*100.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 3.100"
set nolabel
set label "t = 3.100 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

set arrow from 1.0e-3, 30e10 to 1.0e-3, 60e10 heads lc '#666666' front size graph 0.01,90 fixed
set arrow from 1.0e-3,100e10 to 1.0e-3,300e10 heads lc '#aaaaaa' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0003.100.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0003.100.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0003.100.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0003.200.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [0.8*100.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 3.200"
set nolabel
set label "t = 3.200 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

set arrow from 1.0e-3, 30e10 to 1.0e-3, 60e10 heads lc '#666666' front size graph 0.01,90 fixed
set arrow from 1.0e-3,100e10 to 1.0e-3,300e10 heads lc '#aaaaaa' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0003.200.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0003.200.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0003.200.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0003.300.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [0.8*100.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 3.300"
set nolabel
set label "t = 3.300 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

set arrow from 1.0e-3, 30e10 to 1.0e-3, 60e10 heads lc '#666666' front size graph 0.01,90 fixed
set arrow from 1.0e-3,100e10 to 1.0e-3,300e10 heads lc '#aaaaaa' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0003.300.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0003.300.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0003.300.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0003.400.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [0.8*100.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 3.400"
set nolabel
set label "t = 3.400 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

set arrow from 1.0e-3, 30e10 to 1.0e-3, 60e10 heads lc '#666666' front size graph 0.01,90 fixed
set arrow from 1.0e-3,100e10 to 1.0e-3,300e10 heads lc '#aaaaaa' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0003.400.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0003.400.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0003.400.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0003.500.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [0.8*100.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 3.500"
set nolabel
set label "t = 3.500 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

set arrow from 1.0e-3, 30e10 to 1.0e-3, 60e10 heads lc '#666666' front size graph 0.01,90 fixed
set arrow from 1.0e-3,100e10 to 1.0e-3,300e10 heads lc '#aaaaaa' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0003.500.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0003.500.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0003.500.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0003.600.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [0.8*100.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 3.600"
set nolabel
set label "t = 3.600 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

set arrow from 1.0e-3, 30e10 to 1.0e-3, 60e10 heads lc '#666666' front size graph 0.01,90 fixed
set arrow from 1.0e-3,100e10 to 1.0e-3,300e10 heads lc '#aaaaaa' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0003.600.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0003.600.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0003.600.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0003.700.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [0.8*100.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 3.700"
set nolabel
set label "t = 3.700 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

set arrow from 1.0e-3, 30e10 to 1.0e-3, 60e10 heads lc '#666666' front size graph 0.01,90 fixed
set arrow from 1.0e-3,100e10 to 1.0e-3,300e10 heads lc '#aaaaaa' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0003.700.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0003.700.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0003.700.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0003.800.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [0.8*100.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 3.800"
set nolabel
set label "t = 3.800 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

set arrow from 1.0e-3, 30e10 to 1.0e-3, 60e10 heads lc '#666666' front size graph 0.01,90 fixed
set arrow from 1.0e-3,100e10 to 1.0e-3,300e10 heads lc '#aaaaaa' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0003.800.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0003.800.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0003.800.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0003.900.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [0.8*100.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 3.900"
set nolabel
set label "t = 3.900 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

set arrow from 1.0e-3, 30e10 to 1.0e-3, 60e10 heads lc '#666666' front size graph 0.01,90 fixed
set arrow from 1.0e-3,100e10 to 1.0e-3,300e10 heads lc '#aaaaaa' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0003.900.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0003.900.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0003.900.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0004.000.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [0.8*100.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 4.000"
set nolabel
set label "t = 4.000 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

set arrow from 1.0e-3, 30e10 to 1.0e-3, 60e10 heads lc '#666666' front size graph 0.01,90 fixed
set arrow from 1.0e-3,100e10 to 1.0e-3,300e10 heads lc '#aaaaaa' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0004.000.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0004.000.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0004.000.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0004.100.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [0.8*100.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 4.100"
set nolabel
set label "t = 4.100 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

set arrow from 1.0e-3, 30e10 to 1.0e-3, 60e10 heads lc '#666666' front size graph 0.01,90 fixed
set arrow from 1.0e-3,100e10 to 1.0e-3,300e10 heads lc '#aaaaaa' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0004.100.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0004.100.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0004.100.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0004.200.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [0.8*100.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 4.200"
set nolabel
set label "t = 4.200 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

set arrow from 1.0e-3, 30e10 to 1.0e-3, 60e10 heads lc '#666666' front size graph 0.01,90 fixed
set arrow from 1.0e-3,100e10 to 1.0e-3,300e10 heads lc '#aaaaaa' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0004.200.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0004.200.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0004.200.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0004.300.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [0.8*100.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 4.300"
set nolabel
set label "t = 4.300 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

set arrow from 1.0e-3, 30e10 to 1.0e-3, 60e10 heads lc '#666666' front size graph 0.01,90 fixed
set arrow from 1.0e-3,100e10 to 1.0e-3,300e10 heads lc '#aaaaaa' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0004.300.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0004.300.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0004.300.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0004.400.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [0.8*100.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 4.400"
set nolabel
set label "t = 4.400 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

set arrow from 1.0e-3, 30e10 to 1.0e-3, 60e10 heads lc '#666666' front size graph 0.01,90 fixed
set arrow from 1.0e-3,100e10 to 1.0e-3,300e10 heads lc '#aaaaaa' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0004.400.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0004.400.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0004.400.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0004.500.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [0.8*100.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 4.500"
set nolabel
set label "t = 4.500 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

set arrow from 1.0e-3, 30e10 to 1.0e-3, 60e10 heads lc '#666666' front size graph 0.01,90 fixed
set arrow from 1.0e-3,100e10 to 1.0e-3,300e10 heads lc '#aaaaaa' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0004.500.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0004.500.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0004.500.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0004.600.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [0.8*100.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 4.600"
set nolabel
set label "t = 4.600 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

set arrow from 1.0e-3, 30e10 to 1.0e-3, 60e10 heads lc '#666666' front size graph 0.01,90 fixed
set arrow from 1.0e-3,100e10 to 1.0e-3,300e10 heads lc '#aaaaaa' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0004.600.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0004.600.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0004.600.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0004.700.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [0.8*100.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 4.700"
set nolabel
set label "t = 4.700 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

set arrow from 1.0e-3, 30e10 to 1.0e-3, 60e10 heads lc '#666666' front size graph 0.01,90 fixed
set arrow from 1.0e-3,100e10 to 1.0e-3,300e10 heads lc '#aaaaaa' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0004.700.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0004.700.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0004.700.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0004.800.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [0.8*100.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 4.800"
set nolabel
set label "t = 4.800 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

set arrow from 1.0e-3, 30e10 to 1.0e-3, 60e10 heads lc '#666666' front size graph 0.01,90 fixed
set arrow from 1.0e-3,100e10 to 1.0e-3,300e10 heads lc '#aaaaaa' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0004.800.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0004.800.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0004.800.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0004.900.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [0.8*100.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 4.900"
set nolabel
set label "t = 4.900 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

set arrow from 1.0e-3, 30e10 to 1.0e-3, 60e10 heads lc '#666666' front size graph 0.01,90 fixed
set arrow from 1.0e-3,100e10 to 1.0e-3,300e10 heads lc '#aaaaaa' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0004.900.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0004.900.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0004.900.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0005.000.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [0.8*100.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 5.000"
set nolabel
set label "t = 5.000 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

set arrow from 1.0e-3, 30e10 to 1.0e-3, 60e10 heads lc '#666666' front size graph 0.01,90 fixed
set arrow from 1.0e-3,100e10 to 1.0e-3,300e10 heads lc '#aaaaaa' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0005.000.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0005.000.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0005.000.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0005.100.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [0.8*100.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 5.100"
set nolabel
set label "t = 5.100 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

set arrow from 1.0e-3, 30e10 to 1.0e-3, 60e10 heads lc '#666666' front size graph 0.01,90 fixed
set arrow from 1.0e-3,100e10 to 1.0e-3,300e10 heads lc '#aaaaaa' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0005.100.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0005.100.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0005.100.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0005.200.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [0.8*100.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 5.200"
set nolabel
set label "t = 5.200 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

set arrow from 1.0e-3, 30e10 to 1.0e-3, 60e10 heads lc '#666666' front size graph 0.01,90 fixed
set arrow from 1.0e-3,100e10 to 1.0e-3,300e10 heads lc '#aaaaaa' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0005.200.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0005.200.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0005.200.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0005.300.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [0.8*100.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 5.300"
set nolabel
set label "t = 5.300 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

set arrow from 1.0e-3, 30e10 to 1.0e-3, 60e10 heads lc '#666666' front size graph 0.01,90 fixed
set arrow from 1.0e-3,100e10 to 1.0e-3,300e10 heads lc '#aaaaaa' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0005.300.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0005.300.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0005.300.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0005.400.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [0.8*100.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 5.400"
set nolabel
set label "t = 5.400 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

set arrow from 1.0e-3, 30e10 to 1.0e-3, 60e10 heads lc '#666666' front size graph 0.01,90 fixed
set arrow from 1.0e-3,100e10 to 1.0e-3,300e10 heads lc '#aaaaaa' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0005.400.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0005.400.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0005.400.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0005.500.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [0.8*100.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 5.500"
set nolabel
set label "t = 5.500 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

set arrow from 1.0e-3, 30e10 to 1.0e-3, 60e10 heads lc '#666666' front size graph 0.01,90 fixed
set arrow from 1.0e-3,100e10 to 1.0e-3,300e10 heads lc '#aaaaaa' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0005.500.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0005.500.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0005.500.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0005.600.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [0.8*100.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 5.600"
set nolabel
set label "t = 5.600 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

set arrow from 1.0e-3, 30e10 to 1.0e-3, 60e10 heads lc '#666666' front size graph 0.01,90 fixed
set arrow from 1.0e-3,100e10 to 1.0e-3,300e10 heads lc '#aaaaaa' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0005.600.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0005.600.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0005.600.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0005.700.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [0.8*100.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 5.700"
set nolabel
set label "t = 5.700 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

set arrow from 1.0e-3, 30e10 to 1.0e-3, 60e10 heads lc '#666666' front size graph 0.01,90 fixed
set arrow from 1.0e-3,100e10 to 1.0e-3,300e10 heads lc '#aaaaaa' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0005.700.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0005.700.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0005.700.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0005.800.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [0.8*100.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 5.800"
set nolabel
set label "t = 5.800 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

set arrow from 1.0e-3, 30e10 to 1.0e-3, 60e10 heads lc '#666666' front size graph 0.01,90 fixed
set arrow from 1.0e-3,100e10 to 1.0e-3,300e10 heads lc '#aaaaaa' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0005.800.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0005.800.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0005.800.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



